import { z } from 'zod';

export const createClassSchema = z.object({
  name: z.string().min(1).max(100),
  gradeId: z.string().uuid(),
  headTeacherId: z.string().uuid().optional(),
  description: z.string().max(2000).optional(),
});

export const updateClassSchema = z.object({
  name: z.string().min(1).max(100).optional(),
  headTeacherId: z.string().uuid().optional().nullable(),
  description: z.string().max(2000).optional().nullable(),
});

export type CreateClassDto = z.infer<typeof createClassSchema>;
export type UpdateClassDto = z.infer<typeof updateClassSchema>;
